summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lenard Spencer2023-09-25 13:05:17 +0200
committer Willy Sudiarto Raharjo2023-09-30 06:16:21 +0200
commitd06a3a9faccc78ab031939f4a315dbfdba10eeaf (patch)
tree7e1b5fee5670fdd9275b80f0ae1cbf41308f47c2
parentd58fa8d835fc82c2ec658341b95be52282d1ff7b (diff)
downloadslackbuilds-d06a3a9faccc78ab031939f4a315dbfdba10eeaf.tar.gz
system/nvidia-legacy470-driver: Fix build on 64-bit.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/nvidia-legacy470-driver/nvidia-legacy470-driver.SlackBuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/system/nvidia-legacy470-driver/nvidia-legacy470-driver.SlackBuild b/system/nvidia-legacy470-driver/nvidia-legacy470-driver.SlackBuild
index df6bfd279e..14faa0fc58 100644
--- a/system/nvidia-legacy470-driver/nvidia-legacy470-driver.SlackBuild
+++ b/system/nvidia-legacy470-driver/nvidia-legacy470-driver.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=nvidia-legacy470-driver
VERSION=${VERSION:-470.199.02}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -63,6 +63,9 @@ else
MULTI=""
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION$MULTI-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -197,6 +200,11 @@ fi
rm -rf $PKG/usr/lib/nvidia || true
rm -rf $PKG/var/lib || true
+# if not multilib, remove the unneeded /usr/lib folder:
+if [ "${COMPAT32}" != "yes" ]; then
+ rm -rf $PKG/usr/lib || true
+fi
+
# Compile utilites from source, replacing the precompiled versions
#
# Compiling nvidia-settings